forum Forumsplay_arrow Minecraft fiber_manual_record Help

1

World Guard & regions not working... Bukkit 1.12 server

1 emerald1 reply54 views
created 10/23/2018 7:49 am by MegaMinerDL
last reply 10/23/2018 8:59 pm
EXCUSE THE LONG THREAD... GENERALLY, WORLD GUARD REGIONS WON'T WORK WHATEVER I DO EVEN THOUGH IT STARTS AND COMMANDS WORK FINE. THE MAIN CONFIG DOESN'T SEEM TO WORK EITHER, JUST LIKE THE WORLD REGION CONFIGS EVEN THOUGH THEY LOOK FINE. I TRIED EVERYTHING, READ THIS ALL FOR DETAILS... NO IDEA WHAT'S WRONG, THERE ARE NO PLUGIN CONFLICTS I THINK... MORE INFO IF YOU READ ON, USEFDUL LINKS AT END? ALSO SEE THE COMMENT. THREAD FROM bukkit.org/threads/world-guard-regions-not-working-bukkit-1-12-server.475992/
I need World Guard for it's regions, config's flags, /stoplag... But I have lots of issues with it. It works and turns on fine currently, commands work, but...
The first is that the main config with all it's true/false options doesn't seem to be doing anything...
People can still ignite
tnt when I disabled it, water breaks blocks with IDs I put as unbreakable by water etc.
The second and main issue are regions not working. I've tried plenty of ways, but generally when I do /rg flag __global__ build deny, then addmember g:groups (I tried the group.<groupname> perm in my permissions), all groups can still either build or not build where I do or don't want them to, even though they show up ok in config and /rg info.
For example, I do the following in a world called Capitol: /region flag __global__ build deny
Then /region addmember __global__ g:Founder g:CEO g: Dev g:Staff g: Partner g: Donator g:Trusted g:Artisan g:Architect g: Planner (I put spaces here after some g: to prevent emojis being created in thread..!)
Groups are as in my PermissionsEx file. The only groups not added to the region are Designer and Resident, which I don't wish to be able to build in the world. But, either they can build anyway, or somethig else, even though the world's regions.yml config in Worlds>Capitol folder seems ok: https://pastebin.com/GfeJY9Kj
My WorldGuard config.yml? https://pastebin.com/pAMtnPbd
My permissions PEx file: https://pastebin.com/d3KLnK0Z
My plugins & versions (could any be interfering with WorldGuard?): https://imgur.com/a/svvKtjq
I have a CraftBukkit 1.12 server, and the problem was the same or even worse with Spigot 1.12, since I heard it doesn't support WorldGuard yet (Part of the reason why I now use Bukkit). EDIT: Running Java 8, and my OS (not sure if needed): WIndows 7 Home Premium x64
Right now I'm using WorldGuard-6.2.1 (for MC 1.12), World Edit-6.1.8 (1.12) and FAWE/FAVS for MC 1.7 - 1.12 (from https://empcraft.com/fawe/download/?bukkit). Also see plugins list above, for full file names.. I tried older/newer plugin versions, but those ones work, and it says they're 1.12 specific on some - such as the WorldGuard. Updating broke it anyway, and there was an "error occured while enabling worldguard" in the console.
It seems to me that the configs may be causing the issue for some reason - the main config.yml, and the world's regions.yml don't seem to be working... I'm just confused, please help!

Also (THE COMMENT):
A reply from Discord (I asked there too): https://imgur.com/a/mCR1n9H
Checked server console, and, again, couldn't find any errors.. https://imgur.com/a/rtoZmnG
Then, I did have a -forge World Edit; I deleted file & folder, changed to a Bukkit one from dev.bukkit.org, version 6.1.7.2 (up to MC 1.12), and nothing changed. World Edit still worked, World Guard did not.
Will remove all plugins to test for plugin conflicts. (Edit): Removing all other plugins except World Edit/Guard and my permissions, PermissionsEx, and world management, Multiverse-core, plugins didn't seem to help at all...
Posted by avatar
MegaMinerDL
Level 16 : Journeyman Architect
10

1 reply

1
10/23/2018 8:59 pm
Level 2 Apprentice Explorer
SilvaSky54
avatar
"I have a CraftBukkit 1.12 server, and the problem was the same or even worse with Spigot 1.12, since I heard it doesn't support WorldGuard yet"

Apologies if I've misunderstood, but Spigot 1.12 does support Worldguard. I'm using it on my own 1.12 server.




I know you mentioned trying older/newer versions of your plugins but I've had this issue before. It was fixed by using a different version of wg. The one I'm currently using is called worldguard-legacy-6.2.2.-snapshot-dist.jar.

Perhaps that could help you too? I'd recommend removing all plugins except wg and have a clean config.

Search

Browse

Site

© 2010 - 2018
planetminecraft.com

Welcome